## amarok-trinity 14.2.0~pre173

=== amarok/src/collectionscanner/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### amarokcollectionscanner (executable) ######

tde_add_executable( amarokcollectionscanner AUTOMOC
  SOURCES
    main.cpp collectionscannerdcopiface.skel
    collectionscannerdcophandler.cpp collectionscanner.cpp
  LINK amarok-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== amarok/src/images/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( icons )

install( FILES
    amarok_cut.png amarok_rocks.jpg b_next.png b_pause.png b_play.png
    b_prev.png b_stop.png back_stars_grey.png currenttrack_bar_left.png
    currenttrack_bar_mid.png currenttrack_bar_right.png currenttrack_play.png
    currenttrack_pause.png currenttrack_stop.png currenttrack_stop_small.png
    currenttrack_repeat.png currenttrack_repeat_small.png
    eq_active2.png eq_inactive2.png lastfm.png loading1.png loading2.png
    menu_sidepixmap.png more_albums.png musicbrainz.png nocover.png
    pl_active2.png pl_inactive2.png shadow_albumcover.png sbinner_stars.png
    smallstar.png splash_screen.jpg star.png time_minus.png time_plus.png
    vol_speaker.png volumeslider-gradient.png volumeslider-handle.png
    volumeslider-handle_glow.png volumeslider-inset.png wizard_compact.png
    wizard_xmms.png xine_logo.png
  DESTINATION ${DATA_INSTALL_DIR}/amarok/images )

=== amarok/src/loader/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### amarok (executable) #######################

tde_add_executable( amarok
  SOURCES loader.cpp
  LINK tdeui-shared
  DESTINATION ${BIN_INSTALL_DIR}
)

=== amarok/src/engine/void/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE amarok_void-engine_plugin.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### libamarok_void-engine_plugin (module) #####

tde_add_kpart( libamarok_void-engine_plugin
  SOURCES void-engine.cpp
  LINK amarok-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/mediadevice/daap/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

add_subdirectory( daapreader )
add_subdirectory( mongrel )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE amarok_daap-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR} )

install( PROGRAMS
    amarok_daapserver.rb
  DESTINATION ${BIN_INSTALL_DIR} )

install( FILES
    codes.rb
  DESTINATION ${DATA_INSTALL_DIR}/amarok/ruby_lib )


##### libamarok_daap-mediadevice (module) #######

tde_add_kpart( libamarok_daap-mediadevice AUTOMOC
  SOURCES
    addhostbase.ui daapclient.cpp daapserver.cpp proxy.cpp
  LINK daapreader-static amarok-shared tdednssd-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
  DEPENDENCIES amarokcore-static
)

=== amarok/src/mediadevice/ifp/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${IFP_INCLUDE_DIR}
  ${USB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE amarok_ifp-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### libamarok_ifp-mediadevice (module) ########

tde_add_kpart( libamarok_ifp-mediadevice AUTOMOC
  SOURCES ifpmediadevice.cpp
  LINK amarok-shared tdeio-shared ${IFP_LIBRARY} ${USB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/scripts/templates/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    python_qt_template.py ruby_qt_template.rb amarok.rb
  DESTINATION ${DATA_INSTALL_DIR}/amarok/scripts/templates )

=== amarok/src/mediadevice/daap/mongrel/lib/rubygems/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    builder.rb cmd_manager.rb command.rb config_file.rb
    custom_require.rb dependency_list.rb doc_manager.rb format.rb
    gem_commands.rb gem_openssl.rb gem_runner.rb incremental_fetcher.rb
    installer.rb loadpath_manager.rb old_format.rb open-uri.rb package.rb
    remote_installer.rb rubygems_version.rb security.rb source_index.rb
    specification.rb timer.rb user_interaction.rb validator.rb version.rb
  DESTINATION ${DATA_INSTALL_DIR}/amarok/ruby_lib/rubygems )

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre173-0raspbian11.0.0+7) raspbian-bullseye; urgency=low

  * Automated git build for 97f0e6e5d85bd1311f966806d51f785418542e20
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 13 Oct 2025 21:52:55 +0200

=== debian/control ===
Source: amarok-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Modestas Vainius <modestas@vainius.eu>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, bzip2,
 tdelibs14-trinity-dev, tdebase-trinity-dev,
 libakode-dev, libxine2-dev | libxine-dev,
 libtag1-dev, libsqlite3-dev,
 default-libmysqlclient-dev | libmysqlclient-dev, libpq-dev,
 libvisual-0.4-dev, libsdl1.2-dev,
 libusb-dev, libgpod-nogtk-dev (>= 0.4.2) | libgpod-dev (>> 0.8.3-8), libnjb-dev, libmtp-dev,
 ruby, ruby-dev, dh-python
Standards-Version: 3.8.4
Homepage: http://amarok.kde.org

Package: amarok-trinity
Architecture: any
Depends: libamarok-trinity (= ${binary:Version}), amarok-common-trinity (>= ${source:Version}), amarok-engine-xine-trinity (= ${binary:Version}) | amarok-engines-trinity, unzip, ${shlibs:Depends}
Replaces: amarok-trinity (<< 4:14.0.0~)
Breaks: amarok-trinity (<< 4:14.0.0~)
Suggests: amarok-konqsidebar-trinity, moodbar, konqueror-trinity | www-browser,
 python3-all, python3-pytqt, libqt0-ruby-trinity, libvisual-0.4-plugins
Description: versatile and easy to use audio player for Trinity
 Amarok tries to be a little different, providing a simple drag and drop
 interface that really makes playlist handling easy.
 .
 Features include:
   - rapid playlist creation, with drag and drop from a directory view
   - nice playlist browser for your existing playlists (PLS or M3U formats)
   - collection-indexing support, for smart browsing and playlist creation
   - possibility of accessing media via tdeioslaves, allowing you to play
     via smb:// or fish:// (normal streams are of course supported)
   - inline ID3 tag editing, capable of retrieving tags via MusicBrainz
   - album cover support: automatically displays album covers from the
     filesystem, or downloaded on the fly
   - miscellaneous audio effects, including crossfading
   - easy bindable global shortcuts, rich DCOP interface
   - On-Screen Display (OSD), on track change or at keypress
   - iPod and iRiver support
   - Last.fm stream playing support (if ruby is installed)
   - Track "mood" display (requires moodbar package installed)
 .
 Support for libvisual visualization plugins is also compiled in (you need 
 to have libvisual-0.4-plugins installed to be able to use it).

Package: libamarok-trinity
Architecture: any
Depends: ${shlibs:Depends}
Breaks: amarok-trinity (<< 4:14.0.11~)
Replaces: amarok-trinity (<< 4:14.0.11~)
Description: base library for Amarok [Trinity]
 This package contains base library needed for Amarok to run properly.
 Therefore, unless you have 'amarok' package installed, you will hardly
 find this package useful.

Package: amarok-common-trinity
Architecture: all
Depends: ruby, ${python3:Depends}
Replaces: amarok-common-trinity (<< 4:14.0.0~)
Breaks: amarok-common-trinity (<< 4:14.0.0~)
Recommends: amarok-trinity (>= ${source:Version})
Suggests: libqt0-ruby-trinity, python3-all, python3-pytqt
Description: architecture independent files for Amarok [Trinity]
 This package contains architecture independent files needed for Amarok to run
 properly. It also provides Amarok documentation. Therefore, unless you have
 'amarok' package installed, you will hardly find this package useful.
 .
 You need to install Python if you intend to use Zeroconf support, WebControl
 and/or playlist2html scripts. You will also need python3-pytqt for the
 WebControl script.

Package: amarok-konqsidebar-trinity
Architecture: any
Depends: amarok-trinity (= ${binary:Version}), konqueror-trinity (>= 4:3.0.0), ${shlibs:Depends}
Description: Amarok sidebar for konqueror [Trinity]
 This package contains the Amarok sidebar plugin for konqueror from Trinity.
 The sidebar provides a convenient way for a user to control amarok directly
 from the running konqueror instance.

Package: amarok-engines-trinity
Architecture: all
Depends: amarok-engine-xine-trinity (>= ${source:Version}) | amarok-engine-akode-trinity (>= ${source:Version})
Recommends: amarok-engine-xine-trinity (>= ${source:Version}), amarok-engine-akode-trinity (>= ${source:Version})
Replaces: amarok-engines-trinity (<< 4:14.0.0~)
Breaks: amarok-engines-trinity (<< 4:14.0.0~)
Description: output engines for the Amarok music player [Trinity]
 This package serves merely as a reference point if you want to install
 all available Amarok engines. It depends on those Amarok engines that
 generally can be used by most users. You can safely remove this metapackage
 as you can remove the amarok-engine-$engine packages that you don't use.

Package: amarok-engine-akode-trinity
Architecture: any
Depends: ${shlibs:Depends}
Recommends: amarok-trinity (= ${binary:Version}), libakode2-mpeg
Description: aKode engine for the Amarok audio player, providing aRts support [Trinity]
 This package provides the aKode engine for Amarok, which will output sound to
 the TDE sound system, the aRts daemon.

Package: amarok-engine-xine-trinity
Architecture: any
Depends: ${shlibs:Depends}
Replaces: amarok-engine-xine-trinity (<< 4:14.0.0~)
Breaks: amarok-engine-xine-trinity (<< 4:14.0.0~)
Recommends: amarok-trinity (= ${binary:Version})
Description: xine engine for the Amarok audio player [Trinity]
 This package provides the xine engine for Amarok, which you may prefer
 for some reason over the other engines (e.g., it is the lightest engine
 Dependency-wise).

Package: amarok-trinity-dbg
Priority: extra
Architecture: any
Replaces: amarok-trinity-dbg (<< 4:14.0.0~)
Breaks: amarok-trinity-dbg (<< 4:14.0.0~)
Depends: amarok-trinity (= ${binary:Version})
Recommends: tdelibs-trinity-dbg
Description: debugging symbols for Amarok [Trinity]
 This package provides debugging symbols for all binary packages built from
 amarok source package. It's highly recommended to have this package installed
 before reporting any Amarok crashes to either Amarok developers or Debian
 package maintainers.

## amarok-trinity 14.2.0~pre175

=== amarok/src/plugin/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### plugin (static) ###########################

add_custom_command( OUTPUT pluginconfig.moc.cpp
  COMMAND
    ${TQMOC_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pluginconfig.h -o pluginconfig.moc.cpp
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/pluginconfig.h )

tde_add_library( plugin STATIC_PIC
  SOURCES plugin.cpp pluginconfig.moc.cpp
)

=== amarok/src/images/icons/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/amarok/icons )
tde_install_icons()

=== amarok/src/mediadevice/daap/mongrel/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( http11 )
add_subdirectory( lib )

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre175-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 0b4cc3840ba0d70beae11b13c4bfc79714e1800f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 28 Oct 2025 19:24:59 +0100

## amarok-trinity 14.2.0~pre186

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre186-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 29aa7f407e0ccacf70dd312098038bdb6c746518
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 13 Nov 2025 11:19:48 +0100

## amarok-trinity 14.2.0~pre187

=== amarok/src/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( amarokcore )
add_subdirectory( magnatunebrowser )
add_subdirectory( analyzers )
add_subdirectory( data )
add_subdirectory( plugin )
add_subdirectory( images )
add_subdirectory( loader )
add_subdirectory( scripts )
add_subdirectory( themes )
add_subdirectory( vis )
add_subdirectory( metadata )
tde_conditional_add_subdirectory( WITH_KONQSIDEBAR konquisidebar )
add_subdirectory( statusbar )
add_subdirectory( engine )
add_subdirectory( mediadevice )
add_subdirectory( device )
add_subdirectory( collectionscanner )
tde_conditional_add_subdirectory( WITH_EMBEDDED_SQLITE sqlite )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/amarok/src/amarokcore
  ${CMAKE_BINARY_DIR}/amarok/src/magnatunebrowser
  ${CMAKE_SOURCE_DIR}/amarok/src/amarokcore
  ${CMAKE_SOURCE_DIR}/amarok/src/analyzers
  ${CMAKE_SOURCE_DIR}/amarok/src/statusbar
  ${CMAKE_SOURCE_DIR}/amarok/src/plugin
  ${CMAKE_SOURCE_DIR}/amarok/src/sqlite
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
  ${SQLITE_INCLUDE_DIRS}
  ${MYSQL_INCLUDE_DIRS}
  ${PostgreSQL_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${PostgreSQL_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( )
install( PROGRAMS amarok_proxy.rb DESTINATION ${BIN_INSTALL_DIR} )
install( FILES amarokui.rc DESTINATION ${DATA_INSTALL_DIR}/amarok )
install( FILES amarokrc DESTINATION ${CONFIG_INSTALL_DIR} )
tde_create_translated_desktop( amarok.desktop )
tde_create_translated_desktop(
  SOURCE amarok_plugin.desktop amarok_codecinstall.desktop
  DESTINATION ${SERVICETYPES_INSTALL_DIR}
)
tde_create_translated_desktop(
  SOURCE amarok_addaspodcast.desktop amarok_append.desktop amarok_play_audiocd.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)
install( FILES amarok.profile.xml DESTINATION ${DATA_INSTALL_DIR}/profiles )
tde_create_translated_desktop(
  SOURCE amarokitpc.protocol amaroklastfm.protocol amarokpcast.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### amarokapp (executable) ####################

tde_add_executable( amarokapp
  SOURCES main.cpp
  LINK amarok-shared
  DESTINATION ${BIN_INSTALL_DIR}
)


##### amarok (shared) ###########################

tde_add_library( amarok SHARED AUTOMOC
  SOURCES
    Options1.ui Options1.ui.h Options2.ui Options4.ui Options5.ui
    Options7.ui Options8.ui actionclasses.cpp app.cpp atomicstring.cpp
    atomicurl.cpp browserbar.cpp clicklineedit.cpp collectionbrowser.cpp
    collectiondb.cpp columnlist.cpp configdialog.cpp contextbrowser.cpp
    coverfetcher.cpp covermanager.cpp cuefile.cpp dbsetup.ui dbsetup.ui.h
    deletedialog.cpp deletedialogbase.ui deviceconfiguredialog.cpp
    devicemanager.cpp directorylist.cpp dynamicmode.cpp enginebase.cpp
    enginecontroller.cpp engineobserver.cpp equalizergraph.cpp
    equalizerpresetmanager.cpp equalizersetup.cpp expression.cpp fht.cpp
    filebrowser.cpp firstrunwizard.ui hintlineedit.cpp htmlview.cpp
    iconloader.cpp k3bexporter.cpp kbookmarkhandler.cpp ktrm.cpp
    lastfm.cpp mediabrowser.cpp mediadevicemanager.cpp medium.cpp
    mediumpluginmanager.cpp metabundle.cpp metabundlesaver.cpp moodbar.cpp
    mountpointmanager.cpp multitabbar.cpp mydiroperator.cpp newdynamic.ui
    organizecollectiondialog.ui osd.cpp pixmapviewer.cpp playerwindow.cpp
    playlist.cpp playlistbrowser.cpp playlistbrowseritem.cpp playlistitem.cpp
    playlistloader.cpp playlistselection.cpp playlistwindow.cpp
    pluginmanager.cpp podcastsettings.cpp podcastsettingsbase.ui
    prettypopupmenu.cpp queuemanager.cpp refreshimages.cpp
    scancontroller.cpp scriptmanager.cpp scriptmanagerbase.ui
    scrobbler.cpp sliderwidget.cpp smartplaylisteditor.cpp socketserver.cpp
    starmanager.cpp statistics.cpp systray.cpp tagdialog.cpp tagdialogbase.ui
    tagguesser.cpp tagguesserconfigdialog.ui threadmanager.cpp tooltip.cpp
    trackpickerdialog.cpp trackpickerdialogbase.ui tracktooltip.cpp
    transferdialog.cpp xmlloader.cpp xspfplaylist.cpp editfilterdialog.cpp
  VERSION 0.0.0
  EMBED
    amarokcore-static magnatunebrowser-static analyzers-static plugin-static
    metadata-static statusbar-static
  LINK
    tdehtml-shared tdenewstuff-shared
    ${OPENGL_LIBRARIES} ${TAGLIB_LIBRARIES} ${MYSQL_LIBRARIES}
    ${PostgreSQL_LIBRARY} ${SQLITE_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
  DESTINATION ${LIB_INSTALL_DIR}
)

=== amarok/src/mediadevice/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( generic )
tde_conditional_add_subdirectory( WITH_IPOD ipod )
tde_conditional_add_subdirectory( WITH_IFP ifp )
tde_conditional_add_subdirectory( WITH_NJB njb )
tde_conditional_add_subdirectory( WITH_MTP mtp )
tde_conditional_add_subdirectory( WITH_RIOKARMA riokarma )
tde_conditional_add_subdirectory( WITH_DAAP daap )

=== amarok/src/device/nfs/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE amarok_nfs-device.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### libamarok_nfs-device (module) #############

tde_add_kpart( libamarok_nfs-device
  SOURCES nfsdevicehandler.cpp
  LINK amarok-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/mediadevice/njb/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include( ConfigureChecks.cmake )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${NJB_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_create_translated_desktop(
  SOURCE amarok_njb-mediadevice.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)


##### libamarok_njb-mediadevice (module) ########

tde_add_kpart( libamarok_njb-mediadevice AUTOMOC
  SOURCES
    njbmediadevice.cpp playlist.cpp track.cpp
  LINK amarok-shared ${NJB_LIBRARIES}
  DESTINATION ${PLUGIN_INSTALL_DIR}
)

=== amarok/src/metadata/wav/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TAGLIB_INCLUDE_DIRS}
)


##### tagwav (static) ###########################

tde_add_library( tagwav STATIC_PIC
  SOURCES
    wavproperties.cpp wavfile.cpp wavfiletyperesolver.cpp
)

=== amarok/src/vis/libvisual/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_definitions(
  ${SDL_CFLAGS_OTHER}
)

include_directories(
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${SDL_INCLUDE_DIRS}
  ${LIBVISUAL_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### amarok_libvisual (executable) #############

tde_add_executable( amarok_libvisual
  SOURCES libvisual.cpp
  LINK ${TQT_LIBRARIES} ${SDL_LIBRARIES} ${LIBVISUAL_LIBRARIES}
  DESTINATION ${BIN_INSTALL_DIR}
)

=== amarok/src/mediadevice/daap/daapreader/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( authentication )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/amarok/src
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### daapreader (static) #######################

tde_add_library( daapreader STATIC_PIC AUTOMOC
  SOURCES reader.cpp
  LINK authentication-static
)

=== amarok/src/mediadevice/daap/mongrel/lib/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( mongrel )
add_subdirectory( rubygems )
add_subdirectory( rbconfig )

install( FILES
    gem_plugin.rb gemconfigure.rb mongrel.rb rubygems.rb
  DESTINATION ${DATA_INSTALL_DIR}/amarok/ruby_lib )

=== amarok/src/mediadevice/daap/mongrel/lib/mongrel/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    cgi.rb command.rb configurator.rb debug.rb handlers.rb init.rb
    mime_types.yml stats.rb tcphack.rb
  DESTINATION ${DATA_INSTALL_DIR}/amarok/ruby_lib/mongrel )

=== amarok/src/mediadevice/daap/mongrel/lib/rbconfig/CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

install( FILES
    datadir.rb
  DESTINATION ${DATA_INSTALL_DIR}/amarok/ruby_lib/rbconfig )

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre187-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 95476f0fb7b21e2157db0cbfded39e113e8a33da
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Nov 2025 06:12:40 +0100

## amarok-trinity 14.2.0~pre188

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre188-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ca741bc0af914afa2d89b0e48d2a0ef141629c4d
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 20 Nov 2025 13:50:57 +0100

## amarok-trinity 14.2.0~pre190

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre190-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for e79a2259baf3d4cd75c28e48db6931803598e581
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:14:16 +0100

## amarok-trinity 14.2.0~pre191

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre191-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for e31500249959413eecf5fe166a0e9bcbcaa7e9d6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 02 Jan 2026 16:14:42 +0100

## amarok-trinity 14.2.0~pre195

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre195-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 6b729c2d3ecc833770e3cf989cb09ad80ecbcb35
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 15 Jan 2026 03:51:51 +0100

## amarok-trinity 14.2.0~pre198

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre198-0ubuntu22.04.0+7) jammy; urgency=low

  * Automated git build for cc25f241724ecbbe88787c967c43ed21880978d7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 18 Jan 2026 03:49:15 +0100

## amarok-trinity 14.2.0~pre199

=== debian/changelog ===
amarok-trinity (4:14.2.0~pre199-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for ec6722f098a6d8aacea82971dda4eee50a37dcf0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#amarok

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 29 Jan 2026 10:20:17 +0100
